HELM(1)

NAME

helm-serve - start a local http web server

SYNOPSIS

helm serve

DESCRIPTION

This command starts a local chart repository server that serves charts from a local directory.

The new server will provide HTTP access to a repository. By default, it will scan all of the charts in '$HELM_HOME/repository/local' and serve those over the local IPv4 TCP port (default '127.0.0.1:8879').

This command is intended to be used for educational and testing purposes only. It is best to rely on a dedicated web server or a cloud-hosted solution like Google Cloud Storage for production use.

See ⟨https://github.com/helm/helm/blob/master/docs/chart_repository.md#hosting-chart-repositories⟩ for more information on hosting chart repositories in a production setting.

OPTIONS

--address="127.0.0.1:8879"
    address to listen on

--repo-path=""
    local directory path from which to serve charts

--url=""
    external URL of chart repository

OPTIONS INHERITED FROM PARENT COMMANDS

--debug[=false]
    enable verbose output

--home="~/.helm"
    location of your Helm config. Overrides $HELM_HOME

--host="localhost:44134"
    address of tiller. Overrides $HELM_HOST

--kube-context=""
    name of the kubeconfig context to use

--tiller-namespace="kube-system"
    namespace of tiller

SEE ALSO

helm(1)

HISTORY

19-May-2017 Auto generated by spf13/cobra